commit:     eb32fca9dcc2b237926ffdaae288786e6d185639
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 14 09:12:06 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Oct 14 10:18:06 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb32fca9

dev-python/foolscap: Bump to 0.13.1

Closes: https://bugs.gentoo.org/561354
Closes: https://bugs.gentoo.org/660658
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 dev-python/foolscap/Manifest               |  1 +
 dev-python/foolscap/foolscap-0.13.1.ebuild | 55 ++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-python/foolscap/Manifest b/dev-python/foolscap/Manifest
index b40dd956aa0..012724acede 100644
--- a/dev-python/foolscap/Manifest
+++ b/dev-python/foolscap/Manifest
@@ -1,2 +1,3 @@
 DIST foolscap-0.11.0.tar.gz 491916 BLAKE2B 
bf36442b4274943c00df244c2880dbf8f16b67288a6b8391c8f3e8547ab907ff6de3e1dd92e7173c5801349d1f04f3789ef1f95b5baa32dadc3c56d3dd5b5d0e
 SHA512 
577cd15e7f9207a9675999590cb1189edbdd77a2daee5cab80d66d40b1343bcb338a064eedf372ca7f8a102ed1cef0770923d6dea27dd6c3b37c0717cdc912e8
+DIST foolscap-0.13.1.tar.gz 524167 BLAKE2B 
4d68b0a969dc90fdabadc38ceb7a912f7e0c25f2c1206d4613d3bc314a907832de02656c32f32bd2361e519476e1178a80c2d4ade7fc1f17caeb6ab7b4b72dfc
 SHA512 
aa77fc22d6c1c32e1361f0ccc42902f25cf18ac917f81428d32f1170b75ecb4fe73f639e8bb641822775326ec920f14308ad7f4c5c01cd8051305fccde9c5e9e
 DIST foolscap-0.7.0.tar.gz 478999 BLAKE2B 
fbe3979efe8533a7727703af79aa3074f5ff54e4cd42cee4e981d8b2b73c445272792472236a52dc9fa69e9a25bd8cd30972d1fd2f37127db857ce5d5d3e7f6d
 SHA512 
b2eb5415376d4e8e4ee3fd9ecef80a02d195d6b44059e5292c2daa7dcfdea9deafd8678ff89391128244a8d41fb6a69a92f9e4f07cc599f7358783dc8cb70f15

diff --git a/dev-python/foolscap/foolscap-0.13.1.ebuild 
b/dev-python/foolscap/foolscap-0.13.1.ebuild
new file mode 100644
index 00000000000..39dfee6a675
--- /dev/null
+++ b/dev-python/foolscap/foolscap-0.13.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="RPC protocol for Twisted"
+HOMEPAGE="http://foolscap.lothar.com/trac https://pypi.org/project/foolscap/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos"
+IUSE="doc +ssl test"
+
+# Many tests still failing (#657604), others rely on network
+RESTRICT="test"
+
+RDEPEND="
+       >=dev-python/twisted-16[${PYTHON_USEDEP}]
+       dev-python/service_identity[${PYTHON_USEDEP}]
+       ssl? ( dev-python/pyopenssl[${PYTHON_USEDEP}] )
+"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( ${RDEPEND} )
+"
+#dev-python/txtorcon[${PYTHON_USEDEP}] will be needed when tests work
+
+python_test() {
+       trial ${PN} || die "Tests fail for ${EPYTHON}"
+}
+
+python_compile_all() {
+       local i;
+       if use doc; then
+               pushd doc > /dev/null
+               mkdir build || die
+               for i in ./*.rst
+               do
+                       rst2html.py $i > ./build/${i/rst/html} || die
+               done
+               popd > /dev/null
+       fi
+}
+
+python_test() {
+       trial ${PN} || die "Tests fail for ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( doc/build/. )
+       distutils-r1_python_install_all
+}

Reply via email to